1. Tax Payment Batches
  2. Get a batch
GET
/v1/firms/{firmId}/tax-payment-batches/{batchId}
curl --request GET \
     --url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/tax-payment-batches/{batchId} \
     --header 'Authorization: Bearer <token>' \
     --header 'x-api-key: <x_api_key>'

​
Authorizations

bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.

​
Query Parameters

firmId
required
string

Unique identifier of the firm.

batchId
required
string

Unique identifier of the batch.

x-api-key
required
string

API key of your Client Application.

​
Response

application/json
  • 200

  • 401

  • 403

  • 404

OK

id
required
string

Unique identifier for the batch.

externalId
required
string

Your system's identifier for the batch.

status
required
string

Requested while the items of the batch are processed, Processed when every item has succeeded or failed.

Available options: Requested, Processed
requestedAt
required
string

When the batch was submitted.

totalItems
required
integer

Number of items in the batch.

succeededItems
required
integer

Number of items that created a tax payment.

failedItems
required
integer

Number of items that failed.

processedAt
string

When the batch became Processed. Absent while it is Requested.